server.port=8185
spring.application.name=authentication-server

##Propiedades para la conexion con la base de datos PostgresSQL
spring.datasource.url=jdbc:postgresql://localhost:5432/postgres
spring.datasource.username=postgres
spring.datasource.password=admin12345

##Propiedades para el repositorio JPA
#spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.ddl-auto=update

##Propiedades para registrarse en cliente eureka
eureka.instance.instance-id=${spring.application.name}:${random.uuid}
eureka.client.registry-fetch-interval-seconds=5
#eureka.client.service-url.defaultzone=${EUREKA_SERVER:http://localhost:8761/eureka}
eureka.client.serviceUrl.defaultZone=http://localhost:8761/eureka/

##Propiedades para configuracion de servidor de mail
spring.mail.host=smtp.gmail.com
spring.mail.port=465
spring.mail.username=notif.atencion.drywallpinturas@gmail.com
spring.mail.password=htwveqteuzznyyfg
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.ssl.enable=true
#spring.mail.properties.mail.smtp.starttls.required=true
#spring.mail.properties.mail.smtp.connectiontimeout=5000
#spring.mail.properties.mail.smtp.timeout=5000
#spring.mail.properties.mail.smtp.writetimeout=5000
#spring.mail.properties.mail.smtp.ssl.trust=smtp.gmail.com

##Parametros customizados para procedimiento de restablecimiento de password
mail.urlFront=http://192.168.100.211:4200/change-password/
mail.subject=Restablecimiento de contrasenia

#Propiedades utilizadas para generacion de token de seguridad JWT
jwt.word.secret=c31b33d6a4e9f135780243b2d8f024ae689a40e51ddc9986d9e7b8736d3e7f840df1c14be1d7890f792aaec8d6e7ed0df6d7a9da2c4e944cfb454e43a6bcba2c
jwt.token.expiration.time=3000000
